## r-cran-exactextractr 0.9.1

=== debian/changelog ===
r-cran-exactextractr (0.9.1-2) unstable; urgency=medium

  * Do not use r-cran-rgdal for autopkgtest since this package will
    probably be removed soon
    Closes: #1050532
  * Add codetools to Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 11:47:01 +0200

r-cran-exactextractr (0.9.1-1) unstable; urgency=medium

  * Initial release (closes: #1039910)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:44:59 +0200
