=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dplyr,
        r-cran-foreign,
        r-cran-knitr,
        r-cran-ncdf4,
# <dh-update-R>do not delete this</dh-update-R>
#        r-cran-rgdal,
        r-cran-rmarkdown,
        r-cran-testthat,
        r-cran-terra (>= 1.5.17)
Restrictions: allow-stderr
