## r-cran-exactextractr 0.10.0

=== DESCRIPTION ===
Package: exactextractr
Title: Fast Extraction from Raster Datasets using Polygons
Version: 0.10.0
Authors@R: c(
        person("Daniel Baston", email = "dbaston@isciences.com", role = c("aut", "cre")),
        person("ISciences, LLC", role="cph"))
Description: Quickly and accurately summarizes raster values over polygonal areas ("zonal statistics").
Depends: R (>= 3.4.0)
License: Apache License (== 2.0)
SystemRequirements: GEOS (>= 3.5.0)
Imports: Rcpp (>= 0.12.12), methods, raster, sf (>= 0.9.0),
URL: https://isciences.gitlab.io/exactextractr/,
        https://github.com/isciences/exactextractr
BugReports: https://github.com/isciences/exactextractr/issues
LinkingTo: Rcpp
Suggests: dplyr, foreign, knitr, ncdf4, rmarkdown, testthat, terra (>=
        1.5.17)
Encoding: UTF-8
RoxygenNote: 7.1.2
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-09-12 15:54:24 UTC; dan
Author: Daniel Baston [aut, cre],
  ISciences, LLC [cph]
Maintainer: Daniel Baston <dbaston@isciences.com>
Repository: CRAN
Date/Publication: 2023-09-20 08:20:02 UTC
