=== debian/changelog ===
r-cran-exactextractr (0.10.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:32:37 +1100

r-cran-exactextractr (0.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:56:59 +0000

r-cran-exactextractr (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Drop patch excluding rgdal since it was removed upstream

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 18:13:39 +0200
