=== debian/control ===
Source: r-cran-exactextractr
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-raster,
               r-cran-sf (>= 0.9.0),
               libgeos-dev,
               r-cran-codetools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-exactextractr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-exactextractr.git
Homepage: https://cran.r-project.org/package=exactextractr
Rules-Requires-Root: no

Package: r-cran-exactextractr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast extraction from raster datasets using polygons
 This GNU R package provides a replacement for the 'extract' function
 from the 'raster' package that is suitable for extracting raster values
 using 'sf' polygons.
