=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-exactextractr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -10,10 +9,12 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-raster,
-               r-cran-sf (>= 0.9.0),
+               r-cran-sf,
                libgeos-dev,
-               r-cran-codetools
-Standards-Version: 4.6.2
+               r-cran-codetools,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-exactextractr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-exactextractr.git
 Homepage: https://cran.r-project.org/package=exactextractr
